Skip to main content
POST
Create Organization
Creates an organization (the “client” card in the dashboard Clients page). Returns orgId plus the full org document in data.

Example Request

Minimal:
With optional org fields (agents, access tabs, language, settings):
Server sets ownership fields (ID, userId, agencyId, ts, type: "org"). Use PATCH /orgs/{orgId} to change more fields later.
After creating an org, assign agents with POST /orgs/{orgId}/agents/{agentId} and add users with POST /clients. Fetch the full document anytime with GET /orgs/{orgId}.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

Display name for the organization (Clients page card).

Minimum string length: 1
email
string

The email of the client which will be used by them to sign in also can be used in your whitelabel dashboard to autofill by appending ?email=test@gmail.

squarePhotoURL
string

Photo URL of the client, will show on their dashboard.

widgets
any[]

The widgets of the client (USED BY SYTEM ONLY)

widgetIDs
string[]

The IDs of agents assigned to this client.

dashboardUsername
string

The username of the dashboard (DEPRACATED NOT USED)

dashboardPassword
string

The sign in dashboard for the client, used along the email to sign in to the whitelabel dashboard append ?password=123 to autofill the fields on the dashboard login.

canAccess
string[]

The tabs hrefs the user can access, example ['/home', '/convos', '/leads', '/kb', '/analytics', '/theme', '/settings', '/prompt']

allowedChannels
string[]

Channels this client can use on the channels page. Use ["all"] or omit for every channel.

allowedIntegrations
string[]

Integrations this client can use on the integrations page. Use ["all"] or omit for every integration.

clientTabOrder
string[]

The order of the client tabs, example ['home', 'convos', 'leads', 'kb', 'analytics', 'theme', 'settings', 'prompt']

magicCode
string

The magic code of the client, used to sign in to the dashboard.

index
number

The index of the client, used to sort the clients.

isAdmin
boolean

Whether the client is an org admin or not allowing him to create other users on his org and have more access in the dashboard.

usedSecret
string

The secret of the client, used to sign in to the dashboard.

orgId
string

The ID of the org this user belongs to, must be defined when creating a client.

isOrgAdmin
boolean

Whether the client is an organization admin or not allowing him to create other users on his org and have more access in the dashboard

canDelegateChats
boolean

Whether the client can delegate chats to other users in the org.

status
enum<string>

Shows on the dashboard and in the web widget whether this client is online of offline for realtime handoff.

Available options:
online,
offline
predefinedTags
string[]

Predefined tags for the client, used in the chats tab quickly tag any chat with them.

FB_PUSH_TOKEN
string

The Firebase push token of the client used to implement browser notifications.

notificationsSettings
object

The notifications settings of the client, by default the client will only receive email notifications for requests.

handoff
object
lastEmailSentTS
number

The timestamp of the last email sent, used by the system to not send a lot of emails to the client.

preferredLanguage
string

The preferred language of the client and based on it whole whitelabel dashboard will be translated, MUST BE 2 letter language code

internal
object

Used internally by system.

lastInvitationTs
number

The timestamp of the last invitation

cannedResponses
object[]

The canned responses of the client used in the chats tab

stripeCustomerId
string

The Stripe customer ID of the client

signupSource
string

Signup source for client onboarding (e.g. stripe_checkout)

allowCreateAgents
boolean

Whether the client can create agents

hideAdvancedSettings
boolean

Whether the client can hide the advanced settings

onboardingState
object

Client onboarding state and progress

isNewSignup
boolean

Flag to identify clients created through signup (triggers onboarding)

teams
object[]

The teams this client belongs to (fetched from orgs/{orgId}/teams subcollection based on memberIds)

adminIDs
string[]
supportIDs
string[]
canSelfEdit
boolean
lastModified
number
defaultClientAccess
string[]
defaultClientTabOrder
string[]
convoTags
string[]
enableHumanHandoff
boolean
dashboardLayout
enum<string>
Available options:
vertical,
horizontal
settings
object

Response

Successful response

success
boolean
required
message
string
required
orgId
string
required

Created organization id (same as data.ID).

data
object
required

Full organization document after create.